menu: added new Keywords tag to .desktop files
[barry.git] / NEWS
blobf137f1837037ae73e686b677f249f133c338faa8
1 2012/05
2 ==============================================================================
4 Binary Package Rename
5 ---------------------
6 As of version 0.18, the binary package names for libbarry on Debian
7 have been renamed to libbarry18 to reflect the major version number.
8 The RPM may follow eventually, but testing on that side of things is
9 slower.
12 API Change
13 ----------
14 The API of version 0.18 of the library differs substantially in numerous
15 details from version 0.17.  Mostly due to new features being added, in
16 the library and the tools and GUI.
19 August 2008
20 ==============================================================================
22 Binary Package Rename
23 ---------------------
24 As of version 0.14, the binary package names for libbarry (both RPM and DEB)
25 have been renamed to libbarry0, to match the commonly accepted procedure
26 of most distributions.
28 This change may cause package conflicts if you are not careful during
29 the upgrade.  Please be sure to remove old Barry packages before
30 installing version 0.14.
34 May 2008
35 ==============================================================================
37 API Change
38 ----------
39 As of version 0.13, the Barry API has changed to use a hierarchy of Mode
40 classes instead of using the Controller class to switch modes or select
41 them.  These new Mode classes are in a new namespace called Mode.
43 In theory, these modes can be operational at the same time, such as
44 Desktop, Serial, and IpModem.  Eventually, a JavaLoader mode may also
45 be available.
47 Please see the example code in the examples directory for sample code
48 and usage.
50 IP Modem support
51 ----------------
52 Version 0.13 has preliminary IP Modem support.  You will need a newer
53 Blackberry device to make use of this.
56 December 2006
57 ==============================================================================
59 Note: as of version 0.4, Barry depends on the stable version of libusb,
60 not the devel tarball available on the Barry sourceforge site.  Install
61 stable libusb (0.1.12 or similar) and libusb-devel from your distribution's
62 regular package set.
64 ------------------------------------------------------------------------------
66 See http://www.netdirect.ca/software/packages/barry for the latest news.